Failed to install on 12.04.3 , /var/lib/dpkg/info/nvidia-prime.postinst: 36: printf: 08: not completely converted

Bug #1219650 reported by Yung Shen on 2013-09-02
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
nvidia-prime (Ubuntu)
High
Alberto Milone
Precise
High
Alberto Milone
Saucy
High
Alberto Milone

Bug Description

SRU request:

[Impact]

 * As a result of this bug, systems whose card has a bus id containing numbers such as "08" or "09" numbers will trigger an error in printf where it treats these string values with leading zeros as octal. This causes the postinst script to fail.

[Test Case]

 * Enable the precise-proposed or the saucy-proposed repository and install nvidia-prime (0.4.2~hybrid0.0.1 in precise or 0.4.2~hybrid0.1 in saucy).

 * If the package can be installed without errors, then the fix is correct.

 * Alternatively, you can launch the attached script (see comment #8) as follows, you'll be able to reproduce the issue:
 sh printf_test.sh reproduce

 You can then test the fix by running the attached script without any arguments:
 sh printf_test.sh

[Regression Potential]

 * The regression potential here is zero. As the attached script demonstrates.

------

Encountered this problem during install nvidia driver by using jockey,
then verified using apt-get install nvidia-prime, received following messages:

$ sudo apt-get install nvidia-prime
Reading package lists... Done
Building dependency tree
Reading state information... Done
nvidia-prime is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 7 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]? y
Setting up nvidia-prime (0.3~hybrid0.0.1) ...
/var/lib/dpkg/info/nvidia-prime.postinst: 36: printf: 08: not completely converted
dpkg: error processing nvidia-prime (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 nvidia-prime
E: Sub-process /usr/bin/dpkg returned an error code (1)

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: nvidia-prime 0.3~hybrid0.0.1
ProcVersionSignature: Ubuntu 3.8.0-29.42~precise1-generic 3.8.13.5
Uname: Linux 3.8.0-29-generic x86_64
ApportVersion: 2.0.1-0ubuntu17.4
Architecture: amd64
Date: Mon Sep 2 14:07:37 2013
InstallationMedia: Ubuntu 12.04.3 LTS "Precise Pangolin" - Release amd64 (20130820.1)
MarkForUpload: True
PackageArchitecture: all
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: nvidia-prime
UpgradeStatus: No upgrade log present (probably fresh install)

Yung Shen (kaxing) wrote :
Ara Pulido (ara) wrote :

Alberto, can you have a look to this one, please?

Changed in nvidia-prime (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-prime (Ubuntu):
importance: Undecided → High
Alberto Milone (albertomilone) wrote :

Please run the attached script on the affected system and attach its output.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-prime (Ubuntu):
status: New → Confirmed
Alberto Milone (albertomilone) wrote :

note: you can run it using the following command:

sh printf_test.sh

Changed in nvidia-prime (Ubuntu):
status: Confirmed → In Progress
Alberto Milone (albertomilone) wrote :

Never mind. I know what's going on.

Changed in nvidia-prime (Ubuntu Precise):
status: New → In Progress
Changed in nvidia-prime (Ubuntu Saucy):
status: New → In Progress
Changed in nvidia-prime (Ubuntu Precise):
importance: Undecided → High
Changed in nvidia-prime (Ubuntu Saucy):
importance: Undecided → High
Changed in nvidia-prime (Ubuntu Precise):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-prime (Ubuntu Saucy):
assignee: nobody → Alberto Milone (albertomilone)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-prime - 0.4.2

---------------
nvidia-prime (0.4.2) trusty; urgency=low

  * debian/postinst.in: fix issue with printf
    - Apparently the printf command treats string values
      with leading zeros as octal. Work around this by
      removing any leading zeros (LP: #1219650).
 -- Alberto Milone <email address hidden> Wed, 23 Oct 2013 15:45:24 +0200

Changed in nvidia-prime (Ubuntu):
status: In Progress → Fix Released
Alberto Milone (albertomilone) wrote :

SRU request:

[Impact]

 * As a result of this bug, systems whose card has a bus id containing numbers such as "08" or "09" numbers will trigger an error in printf where it treats these string values with leading zeros as octal. This causes the postinst script to fail.

[Test Case]

 * Enable the precise-proposed or the saucy-proposed repository and install nvidia-prime (0.4.2~hybrid0.0.1 in precise or 0.4.2~hybrid0.1 in saucy).

 * If the package can be installed without errors, then the fix is correct.

 * Alternatively, you can launch the attached script as follows, you'll be able to reproduce the issue:
 sh printf_test.sh reproduce

 You can then test the fix by running the attached script without any arguments:
 sh printf_test.sh

[Regression Potential]

 * The regression potential here is zero. As the attached script demonstrates.

Hello Yung, or anyone else affected,

Accepted nvidia-prime into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nvidia-prime/0.4.2~hybrid0.0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nvidia-prime (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
description: updated
Stéphane Graber (stgraber) wrote :

Hello Yung, or anyone else affected,

Accepted nvidia-prime into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nvidia-prime/0.4.2~ubuntu13.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nvidia-prime (Ubuntu Saucy):
status: In Progress → Fix Committed
Dave Morley (davmor2) wrote :

Confirmed the proposed version is working nicely on Saucy on an ideapad y580 hybrid.

Miklos Juhasz (mjuhasz) on 2013-10-31
tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-prime - 0.4.2~ubuntu13.10.1

---------------
nvidia-prime (0.4.2~ubuntu13.10.1) saucy-proposed; urgency=low

  * debian/preinst.in:
    - Remove leftover in the test condition. This was
      causing the lightdm.conf file to be rewritten
      every time. This is a serious problem on the
      different Ubuntu flavours (LP: #1224098).
  * debian/postinst.in:
    - Apparently the printf command treats string values
      with leading zeros as octal. Work around this by
      removing any leading zeros (LP: #1219650).
 -- Alberto Milone <email address hidden> Mon, 28 Oct 2013 17:25:42 +0100

Changed in nvidia-prime (Ubuntu Saucy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-prime - 0.4.2~hybrid0.0.1

---------------
nvidia-prime (0.4.2~hybrid0.0.1) precise-proposed; urgency=low

  * debian/preinst.in:
    - Remove leftover in the test condition. This was
      causing the lightdm.conf file to be rewritten
      every time. This is a serious problem on the
      different Ubuntu flavours (LP: #1224098).
  * debian/postinst.in:
    - Apparently the printf command treats string values
      with leading zeros as octal. Work around this by
      removing any leading zeros (LP: #1219650).
 -- Alberto Milone <email address hidden> Wed, 23 Oct 2013 16:10:07 +0200

Changed in nvidia-prime (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers